BTRFS-PROPERTY(8)

NAME
btrfs-property - get/set/list properties for given btrfs object.

SYNOPSIS

btrfs property <subcommand> <args>

DESCRIPTION

btrfs property is used to get/set/list property for given btrfs object. See the description of get subcommand for more information about both btrfs object and property.

btrfs property provides an unified and user-friendly method to tune different btrfs properties instead of using the traditional method like chattr(1) or lsattr(1).

SUBCOMMAND

get [-t <type>] <object> [<name>]
    Gets a property from a btrfs object.

    A btrfs object, which is set by <object>, can be a btrfs filesystem itself, a btrfs subvolume, an inode(file or directory) inside btrfs, or a device on which a btrfs exists.

    The -t <type> option can be used to explicitly specify what type of object you meant. This is only needed when a property could be set for more then one object type.

    Possible types are s[ubvol], f[ilesystem], i[node] and d[evice].

    Set the name of property by <name>. If no <name> is specified, all properties for the given object are printed. <name> is one of the followings.

    ro
        read-only flag of subvolume: true or false

    label
        label of device

    compression
        compression setting for an inode: lzo, zlib, or "" (empty string)

list [-t <type>] <object>
    Lists available properties with their descriptions for the given object.

    See the description of get subcommand for the meaning of each option.

set [-t <type>] <object> <name> <value>
    Sets a property on a btrfs object.

    See the description of get subcommand for the meaning of each option.

EXIT STATUS

btrfs property returns a zero exit status if it succeeds. Non zero is returned in case of failure.

AVAILABILITY

btrfs is part of btrfs-progs. Please refer to the btrfs wiki http://btrfs.wiki.kernel.org for further details.

SEE ALSO

mkfs.btrfs(8), lsattr(1), chattr(1)